LibreOffice: XModuleUIConfigurationManager2 Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | List of all members
XModuleUIConfigurationManager2 Interface Reference

Provides a unified interface for the ModuleUIConfigurationManager service. More...

`import <XModuleUIConfigurationManager2.idl;`

Inheritance diagram for XModuleUIConfigurationManager2:

## Exported Interfaces
interface | com::sun::star::ui::XUIConfigurationPersistence
| provides access to persistence functions to load/store user interface element settings from/to a module storage.
interface | com::sun::star::ui::XUIConfigurationManager
| provides functions to change, insert and remove user interface element settings from a module user interface configuration manager.
interface | com::sun::star::ui::XModuleUIConfigurationManager
| provides access to the default layer of a module based ui configuration manager.
interface | com::sun::star::ui::XUIConfiguration
| provides functions to add and remove listeners for changes within a module user interface configuration manager.

## Public Member Functions
com::sun::star::ui::XAcceleratorConfiguration | createShortCutManager ()
| Creates a new configuration manager in case there are different views with different languages.
Public Member Functions inherited from XUIConfigurationPersistence
void | reload () raises ( ::com::sun::star::uno::Exception )
| reloads the configuration data from the storage and reinitialize the user interface configuration manager instance with this data.
void | store () raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the storage provided by setStorage() from the storage and initialize the user interface configuration manager instance with the newly data.
void | storeToStorage ([in] ::com::sun::star::embed::XStorage Storage) raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the provided storage, ignoring the previously set storage by setStorage().
boolean | isModified ()
| provides the current modify state of the configuration manager instance.
boolean | isReadOnly ()
| provides the current read-only state of the user configuration manager.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XUIConfigurationManager
void | reset ()
| resets the configuration manager to the default user interface configuration data.
sequence< sequence< com::sun::star::beans::PropertyValue > > | getUIElementsInfo ([in] short ElementType) raises ( com::sun::star::lang::IllegalArgumentException )
| retrieves information about all user interface elements within the user interface configuration manager.
::com::sun::star::container::XIndexContainer | createSettings ()
| creates an empty settings data container.
boolean | hasSettings ([in] string ResourceURL) raises ( com::sun::star::lang::IllegalArgumentException )
| determines if the settings of a user interface element is part the user interface configuration manager.
::com::sun::star::container::XIndexAccess | getSettings ([in] string ResourceURL, [in] boolean bWriteable) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| retrieves the settings of a user interface element.
void | replaceSettings ([in] string ResourceURL, [in] ::com::sun::star::container::XIndexAccess aNewData) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| replaces the settings of a user interface element with new settings.
void | removeSettings ([in] string ResourceURL) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| removes the settings of an existing user interface element.
void | insertSettings ([in] string NewResourceURL, [in] ::com::sun::star::container::XIndexAccess aNewData) raises ( com::sun::star::container::ElementExistException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| inserts the settings of a new user interface element.
com::sun::star::uno::XInterface | getImageManager ()
| retrieves the image manager from the user interface configuration manager.
com::sun::star::ui::XAcceleratorConfiguration | getShortCutManager ()
| retrieves the keyboard short cut manager from the user interface configuration manager.
com::sun::star::uno::XInterface | getEventsManager ()
| retrieves the events manager from the user interface configuration manager.
Public Member Functions inherited from XModuleUIConfigurationManager
boolean | isDefaultSettings ([in] string ResourceURL) raises ( com::sun::star::lang::IllegalArgumentException )
| determine if the settings of a user interface element is part of the default layer of the user interface configuration manager.
::com::sun::star::container::XIndexAccess | getDefaultSettings ([in] string ResourceURL) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| retrieves the settings from the default layer of the user interface configuration manager if it has a default layer.
Public Member Functions inherited from XUIConfiguration
void | addConfigurationListener ([in] ::com::sun::star::ui::XUIConfigurationListener Listener)
| adds the specified listener to receive events when elements are changed, inserted or removed.
void | removeConfigurationListener ([in] ::com::sun::star::ui::XUIConfigurationListener Listener)
| removes the specified listener so it does not receive any events from this user interface configuration manager.

## Detailed Description

Provides a unified interface for the ModuleUIConfigurationManager service.

Since
  LibreOffice 4.2

## Exported Interfaces

## ◆ com::sun::star::ui::XModuleUIConfigurationManager

interface com::sun::star::ui::XModuleUIConfigurationManager

provides access to the default layer of a module based ui configuration manager.

## ◆ com::sun::star::ui::XUIConfiguration

interface com::sun::star::ui::XUIConfiguration

provides functions to add and remove listeners for changes within a module user interface configuration manager.

## ◆ com::sun::star::ui::XUIConfigurationManager

interface com::sun::star::ui::XUIConfigurationManager

provides functions to change, insert and remove user interface element settings from a module user interface configuration manager.

## ◆ com::sun::star::ui::XUIConfigurationPersistence

interface com::sun::star::ui::XUIConfigurationPersistence

provides access to persistence functions to load/store user interface element settings from/to a module storage.

## Member Function Documentation

## ◆ createShortCutManager()

com::sun::star::ui::XAcceleratorConfiguration createShortCutManager | ( |  | ) |

Creates a new configuration manager in case there are different views with different languages.

This function enables those views to have short cut keys specific to the languages.

Since
  LibreOffice 7.6

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XModuleUIConfigurationManager2.idl